# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Final Fantasy Tactics A2 Template

game: Final Fantasy Tactics A2
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Final Fantasy Tactics A2:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  gate_balancing:
    # Randomizes quests with weights based on gate number and quest rank.
    # Low rank quests have higher weights in early gates, and high rank quests have higher weights in late gates.
    # A value of 0 means no balancing. Higher values are more heavily weighted.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20

  gate_num:
    # Sets the number of quest gates. Each gate contains four quests each.
    # The Two Grimoires will always be the last quest.
    # Amount of locations per gate depends on number of item rewards
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 19
    6: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-19: 0 # random value between 1 and 19

  path_num:
    # Sets the number of branching gate paths.
    # How many must be completed depends on the paths_required option.
    # Useful for higher mission gate counts.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 3
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-3: 0 # random value between 1 and 3

  paths_required:
    # Sets the number of gate paths that must be completed to unlock the final quest.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 3
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-3: 0 # random value between 1 and 3

  final_quests:
    # Sets the final questline. "The Two Grimoires" leads directly into "From The Rift".
    # 
    # The Ritual: You must complete "The Ritual", "The Two Grimoires", and "From the Rift" to win.
    # The Two Grimoires: You must complete "The Two Grimoires", and "From the Rift" to win.
    the_ritual: 50
    the_two_grimoires: 0

  reward_num:
    # Sets the number of locations per quest.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-4: 0 # random value between 1 and 4

  quest_ap:
    # Sets the amount of AP gained from quests.
    # The amount is mulitplied by 10. Default is 5 = 50 AP.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 50
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-50: 0 # random value between 1 and 50

  quest_exp:
    # Sets the base amount of exp gained from quests.
    # Default is 60 exp.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 255
    60: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-255: 0 # random value between 0 and 255

  quest_gil:
    # Sets the amount of gil gained from quests.
    # Special values:
    #     Vanilla: Default value. Same as the vanilla game
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 65535
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-65535: 0 # random value between 0 and 65535
    vanilla: 50 # equivalent to -1

  dispatch_quests:
    # Toggle dispatch quests on or off.
    # 
    # Vanilla: Dispatch quests are the same as vanilla.
    # No Dispatch: Dispatch quests are turned turned into normal quests.
    vanilla: 0
    no_dispatch: 50

  job_unlock_req:
    # Sets job requirements.
    # 
    # Vanilla: Jobs require mastered abilities and certain quests (not recommended).
    # No Quests: Jobs require mastered abilities, but not quests.
    # All Unlocked: Jobs have no requirements.
    # All Locked: All jobs are locked. Units can only be their starting job.
    # Job Items: All jobs start locked. Job unlocks are checks.
    vanilla: 0
    no_quests: 50
    all_unlocked: 0
    all_locked: 0
    job_items: 0

  randomize_starting_units:
    # Randomizes starting units.
    # 
    # Disabled: Starting units will not be randomized.
    # Random Jobs: Starting units will have their jobs randomized.
    # Random Races and Jobs: Starting units will have their race and jobs randomized.
    #     Special units will only have their jobs randomized.
    # Random Races and Jobs Experimental: Starting units will have their race and jobs randomized including special units.
    #     Special units with randomized races may crash or freeze the game.
    disabled: 50
    random_jobs: 0
    random_races_and_jobs: 0
    random_races_and_jobs_experimental: 0

  starting_equipment:
    # Sets starting unit equipment.
    # 
    # Basic: Units will start with basic equipment for their job.
    # Randomized: Units will start with random equipment.
    basic: 50
    randomized: 0

  starting_units:
    # Sets the starting units. Starting unit randomization overrides this except for special units.
    # You cannot start with more than 5 non-special units.
    # 
    # Format:
    #     ["{Name}", "{Name}", ..., "{Name}"]
    #     {Name} can be a special unit, or a Race and Job.
    #     Special units are: Adelle, Cid, Hurdy, Vaan, Penelo, Al-Cid, Montblanc, Frimelda
    #     Race and Job examples: Hume Archer, Nu Mou Black Mage
    #     No duplicates allowed.
    ['Nu Mou Black Mage', 'Viera White Mage', 'Bangaa Warrior', 'Hume Archer', 'Moogle Thief']

  bazaar_options:
    # Bazaar options.
    # 
    # Vanilla: All loot items are in the pool. (Not recommended)
    # No Loot: Loot items are removed from the pool of possible checks. This makes equipment checks much more likely.
    # Randomized Recipes: All recipes in the bazaar are randomized.
    # Checks: All recipes in the bazaar are randomized and are also checks (and still unlock shop items).
    vanilla: 0
    no_loot: 50
    randomized_recipes: 0
    checks: 0

  bazaar_loot_pool:
    # If recipes are randomized this is the max number of different items used of each loot type (7 types).
    # The amount received of a loot item from a check will be enough for all recipes that use that item.
    # Warning: Setting this to 14 or higher is likely to generate fill errors if path_num is set to 1 (and still possible at 3).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 3
    # Maximum value is 18
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-3-18: 0 # random value between 3 and 18

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
